cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/custom_forms/cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_form": {
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts"
}
}'from exsited import build_client
client = build_client()
response = client.custom_forms.update_settings_custom_form(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
{
"custom_form": {
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customForms.updateSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e', {
custom_form: {display_name: 'Acme account form', description: 'The form Acme Pty Ltd uses for new accounts'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customForms->updateSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e', [
'custom_form' => [
'display_name' => 'Acme account form',
'description' => 'The form Acme Pty Ltd uses for new accounts',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_forms.custom_forms_dto.CustomFormsDto.SettingsCustomForm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomForm> response = client.customForms().updateSettingsCustomForm(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
Map.of(
"custom_form", Map.of(
"display_name", "Acme account form",
"description", "The form Acme Pty Ltd uses for new accounts")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomForms.UpdateSettingsCustomFormAsync(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
new Dictionary<string, object?>
{
["custom_form"] = new Dictionary<string, object?>
{
["display_name"] = "Acme account form",
["description"] = "The form Acme Pty Ltd uses for new accounts",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customForms.updateSettingsCustomForm(
'cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e',
{
'custom_form': {
'display_name': 'Acme account form',
'description': 'The form Acme Pty Ltd uses for new accounts',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomForms().UpdateSettingsCustomForm(context.Background(), "cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e", map[string]any{
"custom_form": map[string]any{
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_form": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_system_template": true,
"for_default_template": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Custom forms
Update a custom form
Changes a custom form’s name, display name, description or users and returns the form.
PATCH
/
settings
/
custom_forms
/
{custom_form_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/custom_forms/cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_form": {
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts"
}
}'from exsited import build_client
client = build_client()
response = client.custom_forms.update_settings_custom_form(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
{
"custom_form": {
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customForms.updateSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e', {
custom_form: {display_name: 'Acme account form', description: 'The form Acme Pty Ltd uses for new accounts'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customForms->updateSettingsCustomForm('cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e', [
'custom_form' => [
'display_name' => 'Acme account form',
'description' => 'The form Acme Pty Ltd uses for new accounts',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_forms.custom_forms_dto.CustomFormsDto.SettingsCustomForm;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomForm> response = client.customForms().updateSettingsCustomForm(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
Map.of(
"custom_form", Map.of(
"display_name", "Acme account form",
"description", "The form Acme Pty Ltd uses for new accounts")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomForms.UpdateSettingsCustomFormAsync(
"cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e",
new Dictionary<string, object?>
{
["custom_form"] = new Dictionary<string, object?>
{
["display_name"] = "Acme account form",
["description"] = "The form Acme Pty Ltd uses for new accounts",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customForms.updateSettingsCustomForm(
'cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e',
{
'custom_form': {
'display_name': 'Acme account form',
'description': 'The form Acme Pty Ltd uses for new accounts',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomForms().UpdateSettingsCustomForm(context.Background(), "cf_8d2a4c6e0b1f4d3a9c7e5b2d1f0a8c6e", map[string]any{
"custom_form": map[string]any{
"display_name": "Acme account form",
"description": "The form Acme Pty Ltd uses for new accounts",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_form": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"is_system_template": true,
"for_default_template": true,
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
}Send the fields to change under
custom_form. You can change name, display_name, description and users. The updated form comes back under custom_form.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom form's id, which starts with cf_.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated custom form, under custom_form.
Show child attributes
Show child attributes